<?php

namespace Drupal\drowl_paragraphs_anchor_menu\Plugin\Block;

use \Drupal\Core\Block\BlockBase;
use \Drupal\Core\Cache\Cache;

/**
 * Provides a 'DROWL Paragraphs Anchor Menu' Block.
 *
 * @Block(
 *   id = "drowl_paragraphs_anchor_menu_block",
 *   admin_label = @Translation("DROWL Paragraphs Anchor Menu Block (only shown if a container with an anchor paragraph exists on the page)."),
 *   admin_description = @Translation("Only shown if a container with an anchor paragraph exists on the page."),
 *   category = @Translation("DROWL Paragraphs"),
 * )
 */
class AnchorMenuBlock extends BlockBase
{

  /**
   * {@inheritdoc}
   */
  public function build()
  {
    return [
      '#theme' => 'drowl_paragraphs_anchor_menu',
      '#attached' => [
        'library' => [
          'drowl_paragraphs_anchor_menu/drowl-paragraphs-anchor-menu',
        ],
      ],
    ];
  }
}
